ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xi Wang (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-14426) If repos for the current os are not defined install_packages doesn't show error
Date Thu, 17 Dec 2015 20:10:46 GMT
Xi Wang created AMBARI-14426:
--------------------------------

             Summary: If repos for the current os are not defined install_packages doesn't
show error
                 Key: AMBARI-14426
                 URL: https://issues.apache.org/jira/browse/AMBARI-14426
             Project: Ambari
          Issue Type: Bug
          Components: ambari-web
    Affects Versions: 2.3.0
            Reporter: Xi Wang
            Assignee: Xi Wang
             Fix For: 2.4.0


1. After cluster deployment in 'Versions' tab, On os X define new repo version, but set the
repos only for os Y.
2. Click install_packages. It gives 500 error from server with reasonable error, however UI
doesn't show anything to user, which is pretty confusing.
{noformat}
{
  "status" : 500,
  "message" : "Repositories for os type ubuntu12 are not defined. Repo version=2.3.5.0, stackId=HDP-2.3"
}
{noformat}

We could show a general error message for all the errors on this stage.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message